Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 158376 - Booting with early-login, GDM has only english messages in locale ko_KR.UTF-8.
Summary: Booting with early-login, GDM has only english messages in locale ko_KR.UTF-8.
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: gdm
Version: rawhide
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Ray Strode [halfline]
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-21 05:32 UTC by sangu
Modified: 2007-11-30 22:11 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-01-15 08:42:09 UTC


Attachments (Terms of Use)

Description sangu 2005-05-21 05:32:34 UTC
Description of problem:

Booting with early-login, GDM has only english messagesin locale ko_KR.UTF-8.
But early-loin isn't, GDM has Korean translation messages.

$ cat /etc/sysconfig/i18n
LANG="ko_KR.UTF-8"
SUPPORTED="ko_KR.UTF-8:ko_KR:ko"

$cat /proc/cmdline
ro root=LABEL=/ acpi=on video=vesafb:ywrap,mtrr:1600x1200@60 vga=0x346 early-login

$chkconfig --list | grep gdm
gdm-allow-login 0:off   1:off   2:off   3:off   4:off   5:on    6:off
gdm-early-login 0:off   1:off   2:off   3:off   4:off   5:on    6:off


Version-Release number of selected component (if applicable):
gdm-2.6.0.8-15

How reproducible:
always

Steps to Reproduce:
1. Booting wiht early-login
2.
3.
  
Actual results:


Expected results:


Additional info:

Comment 1 sangu 2005-05-27 09:02:47 UTC
in gdm-early-login.init script.

"export LANG LC_MESSAGES" isn't,

"export LC_MESSAGES=$LANG" is right?

And $cat /usr/bin/gdm
[...]
# Make sure LANG is set
if [ -z "$LANG" ]
then
  test -f /etc/sysconfig/language && export LANG=`. /etc/sysconfig/language;
echo $RC_LANG`
fi
if [ -z "$LC_MESSAGES" ]
then
    if [ -z "$LC_ALL" ]
    then
        LC_MESSAGES=$LANG
        export LC_MESSAGES
    fi
fi
[...]

Comment 2 Jong Bae KO 2006-09-28 07:36:13 UTC
Yes It doesn't change the login page.
If I change the default language, it should change that language in next login.
Howerver It doesn't change the login page.

Comment 3 Peng Huang 2007-01-15 08:14:34 UTC
Hi Sangu,
    Which version of FC do you used? I can not reproduce it in FC-6 with gdm.
Could you give some detail information about early-login? 
Thanks
Shawn

Comment 4 sangu 2007-01-15 08:42:09 UTC
Hi Peng Huang, 
I use Fedora development.
rpm -q --changelog gdm-2.17.5-1.fc7

[...]
* Tue Nov 15 2005 Ray Strode <rstrode@redhat.com> - 1:2.8.0.4-11
- Don't use X session / setup files anymore.
- Don't install early login init scripts
- remove xsri dependency
- don't prune language lists anymore
[...]

Current gdm package doesn't have early-login feature.


Note You need to log in before you can comment on or make changes to this bug.